
D4Science Infrastructure - Support #997

Task # 996 (Closed): Dismiss VesselActivitiesAnalyzer VRE and related services

TimeSeries Service undeployment 

Oct 13, 2015 04:16 PM - Massimiliano Assante

Status: Closed Start date: Oct 13, 2015

Priority: Normal Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category: Other Estimated time: 0.00 hour

Infrastructure: Production   

Description

The TimeSeries Service should be removed from the infrastructure and from the gCube Framework starting from gCube 3.9.0 

Related issues:

Related to D4Science Infrastructure - Upgrade #1071: gCubeApps VO upgrade to ... Closed Nov 30, 2015

Related to D4Science Infrastructure - Upgrade #1070: FARM VO upgrade to gCube... Closed Oct 19, 2015 Oct 30, 2015

History

#1 - Nov 05, 2015 12:25 PM - Roberto Cirillo

- Related to Upgrade #1071: gCubeApps VO upgrade to gCube 3.9.0 added

#2 - Nov 05, 2015 12:27 PM - Roberto Cirillo

- Related to Upgrade #1070: FARM VO upgrade to gCube 3.9.0 added

#3 - Nov 30, 2015 09:50 AM - Massimiliano Assante

the VRE was removed from the Gateway, there's no point now of having this service still deployed

#4 - Dec 02, 2015 11:10 AM - Roberto Cirillo

Before dismiss the service, @tommaso.piccioli@isti.cnr.it  could you check if there is a backup for the folowing VMs?

node59.p.d4science.research-infrastructures.eu

node28.p.d4science.research-infrastructures.eu

#5 - Dec 02, 2015 11:10 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Tommaso Piccioli

#6 - Dec 02, 2015 12:39 PM - Roberto Cirillo

I'm going to delete also the following ServiceEndpoint in FARM VO:

<Resource version="0.4.x">

   <ID>7aa37980-b5fe-11e1-8a68-84dab751a71f</ID>

   <Type>RuntimeResource</Type>

   <Scopes>

      <Scope>/d4science.research-infrastructures.eu/FARM/iMarineBoardVRE</Scope>

      <Scope>/d4science.research-infrastructures.eu/FARM/TBTI_VRE</Scope>

      <Scope>/d4science.research-infrastructures.eu/FARM/VTI</Scope>

      <Scope>/d4science.research-infrastructures.eu/FARM</Scope>

      <Scope>/d4science.research-infrastructures.eu/FARM/ICIS</Scope>

   </Scopes>

   <Profile>

      <Category>Database</Category>

      <Name>TimeSeriesDatabase</Name>

      <Description>TimeSeriesDB needed by TimeSeriesPortlet</Description>

      <Platform>

         <Name>postgres</Name>

         <Version>9</Version>

         <MinorVersion>1</MinorVersion>

         <RevisionVersion>0</RevisionVersion>

         <BuildVersion>0</BuildVersion>

      </Platform>

      <RunTime>
         <HostedOn>node28.p.d4science.research-infrastructures.eu</HostedOn>

         <GHN UniqueID="" />

         <Status>READY</Status>

      </RunTime>

      <AccessPoint>

         <Description>jdbc conection url</Description>

         <Interface>

            <Endpoint EntryName="jdbc">//node28.p.d4science.research-infrastructures.eu/timeseries</Endpoint>

         </Interface>

         <AccessData>

            <Username>gcube1</Username>

            <Password>E3yA8tvX5SGy/SuYjIkexg==</Password>

         </AccessData>

         <Properties>

            <Property>

               <Name>dbname</Name>

               <Value encrypted="false">timeseries</Value>

            </Property>

         </Properties>

      </AccessPoint>

      <AccessPoint>

         <Description>read only access point</Description>

         <Interface>

            <Endpoint EntryName="readonly">//node28.p.d4science.research-infrastructures.eu/timeseries</Endpoi

nt>

         </Interface>

         <AccessData>

            <Username>readonlyuser</Username>

            <Password>qhkMqRTbriH7JUKvnfSVzw==</Password>

         </AccessData>

         <Properties>

            <Property>

               <Name>dbname</Name>

               <Value encrypted="false">timeseries</Value>

            </Property>

         </Properties>

      </AccessPoint>

   </Profile>

</Resource>

 and the following ServiceEndpoint in gCubeApps VO:

<Resource version="0.4.x">

   <ID>824f1ae0-b57c-11e1-943f-bcede9ea9939</ID>

   <Type>RuntimeResource</Type>

   <Scopes>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/ScalableDataMining</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/BiodiversityResearchEnvironment</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/TimeSeries</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/EcologicalModelling</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/VesselActivitiesAnalyzer</Scope>

      <Scope>/d4science.research-infrastructures.eu/gCubeApps/ENVRI</Scope>

   </Scopes>

   <Profile>

      <Category>Database</Category>

      <Name>TimeSeriesDatabase</Name>

      <Description>TimeSeriesDB needed by TimeSeriesPortlet</Description>

      <Platform>

         <Name>postgres</Name>

         <Version>9</Version>

         <MinorVersion>1</MinorVersion>

         <RevisionVersion>0</RevisionVersion>

         <BuildVersion>0</BuildVersion>

      </Platform>

      <RunTime>

         <HostedOn>node59.p.d4science.research-infrastructures.eu</HostedOn>

         <GHN UniqueID="" />

         <Status>READY</Status>

      </RunTime>

      <AccessPoint>

         <Description>jdbc conection url</Description>

         <Interface>

            <Endpoint EntryName="jdbc">//node59.p.d4science.research-infrastructures.eu/timeseries</Endpoint>
         </Interface>

         <AccessData>

            <Username>gcube</Username>

            <Password>RVEH1jKFS6mgW1flNUm/Lg==</Password>

         </AccessData>

         <Properties>

            <Property>

               <Name>dbname</Name>

               <Value encrypted="false">timeseries</Value>

            </Property>

         </Properties>

      </AccessPoint>

      <AccessPoint>

         <Description>read only access point</Description>

         <Interface>

            <Endpoint EntryName="readonly">//node59.p.d4science.research-infrastructures.eu/timeseries</Endpoi

nt>

         </Interface>

         <AccessData>

            <Username>readonlyuser</Username>

            <Password>qhkMqRTbriH7JUKvnfSVzw==</Password>

         </AccessData>

         <Properties>

            <Property>

               <Name>dbname</Name>

               <Value encrypted="false">timeseries</Value>

            </Property>

         </Properties>

      </AccessPoint>

   </Profile>

</Resource>

#7 - Dec 02, 2015 02:55 PM - Roberto Cirillo

- % Done changed from 0 to 80

#8 - Dec 02, 2015 02:56 PM - Roberto Cirillo

- Status changed from New to In Progress

#9 - Dec 03, 2015 11:16 AM - Tommaso Piccioli

- Status changed from In Progress to Closed

- % Done changed from 80 to 0

DB dump and host backup done for both 

node59.p.d4science.research-infrastructures.eu

node28.p.d4science.research-infrastructures.eu

hosts switched off.

#10 - Dec 03, 2015 11:17 AM - Tommaso Piccioli

- % Done changed from 0 to 100
